#
# spec file for package perl-Mail-POP3Client (Version 2.18)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Mail-POP3Client
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        Perl 5 module to talk to a POP3 (RFC1939) server
Version:        2.18
Release:        1.1
License:        unknown
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Mail-POP3Client
Source:         %{cpan_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
Requires:       perl = %{perl_version}

%description
This is a POP3 client module for perl5.  It provides an
object-oriented interface to a POP3 server.  It can be used to write
perl-based biff clients, mail readers, or whatever.  See the inline
POD doco for more details.  (perldoc Mail::POP3Client)

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
# normally you only need to check for doc files
%defattr(-,root,root,)
%doc Changes README

%changelog
